> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# List a workspace's licenses

> Retrieves the licenses configured for a workspace, with purchased and consumed seat counts.



## OpenAPI

````yaml https://api.saas-manager.biz.nuro.jp/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/licenses
openapi: 3.0.0
info:
  title: Assist SaaS Manager Public API
  description: >-
    Assist SaaS Manager API is a RESTful API providing programmatic access to
    much of the data in the system. It provides predictable URLs for accessing
    resources, and uses built-in HTTP features to receive commands and return
    responses. This makes it easy to communicate with from a wide variety of
    environments, from command-line utilities to gadgets to the browser URL bar
    itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.saas-manager.biz.nuro.jp
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: Structures
    description: ''
  - name: People
    description: ''
  - name: People Stats
    description: ''
  - name: Employee Masters
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Custom Services
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Workspace Licenses
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Service Roles
    description: ''
  - name: Service Licenses
    description: ''
  - name: Recommended Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/licenses:
    get:
      tags:
        - Workspace Licenses
      summary: List a workspace's licenses
      description: >-
        Retrieves the licenses configured for a workspace, with purchased and
        consumed seat counts.
      operationId: publicGetWorkspaceLicenses
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: workspaceId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetWorkspaceLicensesResponseDto'
        '401':
          description: Invalid or missing API key
        '404':
          description: Workspace not found
      security:
        - API-Key: []
components:
  schemas:
    PublicGetWorkspaceLicensesResponseDto:
      type: object
      properties:
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicWorkspaceLicenseItemDto'
      required:
        - items
    PublicWorkspaceLicenseItemDto:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          example: EXPLORATORY_LICENSE
        displayName:
          type: string
          readOnly: true
          example: Exploratory license
        purchasedLicenses:
          type: number
          readOnly: true
          example: 10
        consumedLicenses:
          type: number
          readOnly: true
          example: 4
      required:
        - id
        - displayName
        - purchasedLicenses
        - consumedLicenses
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank' rel='noopener noreferrer'
        href='https://www.saas-manager.biz.nuro.jp/'>Assist SaaS Manager</a>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.